#############################################################################
##
#W PackageInfo.g share package 'homology'  Dumas,Heckenbach,Saunders,Welker
##
##

SetPackageInfo( rec(
PackageName :=
  "Homology",
MyVersion :=
  "1r4p3",
MyWWWHome :=
  "http://www.cis.udel.edu/~dumas/Homology",
Subtitle :=
  "Simplicial Homology Computations",
Version :=
  JoinStringsWithSeparator( SplitString( ~.MyVersion, "rp" ), "." ),
Autoload :=
  true,
Date :=
  "04/07/2008",
PackageWWWHome :=
  Concatenation( ~.MyWWWHome, "/", ~.PackageName ),
ArchiveURL :=
  Concatenation( ~.PackageWWWHome, "/", ~.PackageName, "Software"),
ArchiveFormats :=
  ".tar.gz",
Persons := [
  rec(
    LastName := "Dumas",
    FirstNames := "Jean-Guillaume",
    IsAuthor := true,
    IsMaintainer := true,
    Email := "Jean-Guillaume.Dumas@imag.fr",
    WWWHome := "http://ljk.imag.fr/membres/Jean-Guillaume.Dumas",
    Place := "Grenoble",
    Institution := "Universit Joseph Fourier, Grenoble",
    PostalAddress := Concatenation( [
      "Jean-Guillaume Dumas\n",
      "Laboratoire Jean Kuntzmann, Informatique et Mathmatiques Appliques\n",
      "BP 53 X, LMC-IMAG, 51, av. des Mathmatiques\n",
      "38041 Grenoble\n",
      "France"
      ] )
  ),
  rec(
    LastName := "Heckenbach",
    FirstNames := "Frank",
    IsAuthor := true,
    IsMaintainer := false,
    Email := "heckenb@mi.uni-erlangen.de",
    WWWHome := "http://www.mi.uni-erlangen.de/~heckenb",
    Place := "Erlangen", 
    Institution := "Universitt Erlangen-Nrnberg", 
    PostalAddress := Concatenation( [
	"Frank Heckenbach\n",
	"c/o Prof. Kurzweil\n",
	"Mathematisches Institut\n",
	"Universitt Erlangen-Nrnberg\n",
	"Bismarckstr. 1 1/2\n",
	"D-91054 Erlangen\n",
	"Germany\n"
      ] )
  ),
  rec(
    LastName := "Saunders",
    FirstNames := "B. David",
    IsAuthor := true,
    IsMaintainer := false,
    Email := "saunders@eecis.udel.edu",
    WWWHome := "http://www.cis.udel.edu/~saunders",
    Place := "Newark", 
    Institution := "University of Delaware", 
    PostalAddress := Concatenation( [
	"B. David Saunders\n",
	"Dept. of Computer and Information Sciences\n",
	"University of Delaware\n",
	"Newark DE 19716\n",
	"USA\n"
      ] )
  ),
  rec(
    LastName := "Welker",
    FirstNames := "Volkmar",
    IsAuthor := true,
    IsMaintainer := false,
    Email := "welker@mathematik.uni-marburg.de",
    WWWHome := "http://www.mathematik.uni-marburg.de/~welker",
    Place := "Marburg", 
    Institution := "Philipps-Universitt Marburg", 
    PostalAddress := Concatenation( [
	"Volkmar Welker\n",
	"Philipps-Universitt Marburg\n",
	"Fachbereich Mathematik und Informatik\n", 
	"Hans Meerwein Strasse, Lahnberge\n",
	"D-35032 Marburg\n",
	"Germany\n"
      ] )
  ),
  ],
Status :=
  "other",
#CommunicatedBy :=
#  "name (place)",
#AcceptDate :=
#  "MM/YYYY",
README_URL := ~.PackageWWWHome,
PackageInfoURL :=
  Concatenation( ~.PackageWWWHome, "/PackageInfo.g" ),
AbstractHTML := "Simplicial Homology",
PackageDoc := rec(
  BookName :=
    "Homology",
  ArchiveURLSubset :=
    [ "manual" ],
  HTMLStart := "manual",
  PDFFile :=
    "doc/manual.pdf",
  SixFile :=
    "doc/manual.six",
  LongTitle :=
    "Simplicial Homology",
  Autoload :=
    true
  ),
Dependencies := rec(
  GAP :=
    ">= 4.2",
  NeededOtherPackages :=
    [],
  SuggestedOtherPackages :=
    [],
  ExternalConditions :=
    []
  ),
AvailabilityTest :=
  ReturnTrue,
TestFile :=
  "gap/testsuite.gi",
Keywords :=
  ["Simplicial Homology", "Simplicial Complexes", "Smith Normal Form", "Partially Ordered Sets"]
) );

#############################################################################
##  
#E

